已解决
发布

有看到更新日志中说Nginx已默认使用openssl-1.0.2h,
但若我用yum info或openssl version去查得到的回答都是1.0.1e。
有看到文章说,不要将原openssl-1.0.1直接升级,而是另外共存openssl-1.0.2h 让Nginx调用。
请问博主OneonStack是用这种方式吗?可以如何确认openssl-1.0.2h有被装上?

2 答案

发布

我刚刚弄完,是alpn的问题,imququ.com 是个https专家,哈哈,不是广告。
tengine 2.1.2 ,openssl1.0.2,重新 configure tengine的时候 
–with-openssl= 1.0.2gz解压缩之后的位置就行了,make;make install ,我的chrome插件正常了,小蓝色图标出来咯,没1.0.2是支持http2了,只不过没alpn让chrome选择

#1
发布
管理员 2016-06-30

1.0.1e是操作系统自带的,不建议升级系统openssl库,默认oneinstack nginx是通过–with-openssl=../openssl-1.0.2h指定源码库

#2

请登录或者 注册 来提交答案